Imagick::textureImage
Imagick::thumbnailImage
Imagick
PHP Manual

# Imagick::thresholdImage

Changes the value of individual pixels based on a threshold

### Description

bool Imagick::thresholdImage ( float `$threshold` [, int `$channel` = Imagick::CHANNEL_ALL ] )

Changes the value of individual pixels based on the intensity of each pixel compared to threshold. The result is a high-contrast, two color image.

### Parameters

`threshold`

`channel`

### Return Values

Returns `TRUE` on success.